Elasticsearch does not start - JAVA_HOME

Hello everyone,
I have some trouble with Elasticsearch. For my studies I have to run a Graylog server on Debian, and put some logs on it. However my Elasticsearch doesn’t work.
I have this issue :

root@debian:~# service elasticsearch status
â elasticsearch.service - Elasticsearch
Loaded: loaded (/usr/lib/systemd/system/elasticsearch.service; enabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Tue 2019-11-26 11:50:41 CET; 17min ago
Docs: http://www.elastic.co
Process: 1410 ExecStart=/usr/share/elasticsearch/bin/elasticsearch -p ${PID_DIR}/elasticsearch.pid --quiet (code=exited, status=1/FAILURE)
Main PID: 1410 (code=exited, status=1/FAILURE)

So the problem seems to come from JAVA_HOME, but when I do “Echo $JAVA_HOME” I have :

root@debian:~# echo $JAVA_HOME /usr/lib/jvm/java-1.8.0-openjdk-i386

Here is how looks my /etc/profile :

if [ “id -u” -eq 0 ]; then
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
else
PATH="/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games"
fi
export PATH
if [ “{PS1-}" ]; then if [ "{BASH-}” ] && [ "BASH" != "/bin/sh" ]; then # The file bash.bashrc already sets the default PS1. # PS1='\h:\w\$ ' if [ -f /etc/bash.bashrc ]; then . /etc/bash.bashrc fi else if [ "`id -u`" -eq 0 ]; then PS1='# ' else PS1='
fi
fi
fi
if [ -d /etc/profile.d ]; then
for i in /etc/profile.d/*.sh; do
if [ -r $i ]; then
. i fi done unset i fi export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-i386 export PATH={JAVA_HOME}/bin:${PATH}
export JRE_HOME
export PATH

Is there any mistake in the conf ? Are others information needed ?
Sorry if my problem looks stupid. I not really comfortable with Debian…

Many thanks !!

Try setting the JAVA_HOME variable in /etc/default/elasticsearch

Hi @Ponet, thank for your help !
It solved the problem for Java Path :innocent:

However I have another error message now, and I really don’t know where it could come from :

root@debian:~# service elasticsearch status
â elasticsearch.service - Elasticsearch
Loaded: loaded (/usr/lib/systemd/system/elasticsearch.service; enabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Tue 2019-11-26 14:40:31 CET; 14s ago
Docs: http://www.elastic.co
Process: 1923 ExecStart=/usr/share/elasticsearch/bin/elasticsearch -p ${PID_DIR}/elasticsearch.pid --quiet (code=ex
Main PID: 1923 (code=exited, status=1/FAILURE)
nov. 26 14:39:50 debian systemd[1]: Started Elasticsearch.
nov. 26 14:40:31 debian systemd[1]: elasticsearch.service: Main process exited, code=exited, status=1/FAILURE
nov. 26 14:40:31 debian systemd[1]: elasticsearch.service: Unit entered failed state.
nov. 26 14:40:31 debian systemd[1]: elasticsearch.service: Failed with result ‘exit-code’.

Any idea ? :confused:

What does the elasticsearch log file say?

Should find them in /var/log/elasticsearch/ unless configured to non-default paths.

I do not have a file named “elasticsearch.log” but a “graylog.log”, that mentions a lot elasticsearch. Maybe i could help you :

[2019-11-27T13:19:54,475][WARN ][o.e.b.Natives ] [unknown] unable to load JNA native support library, native methods will be disabled.
java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86/libjnidispatch.so) not found in resource path ([file:/usr/share/elasticsearch/lib/elasticsearch-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-launchers-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-smile-2.8.11.jar, file:/usr/share/elasticsearch/lib/jackson-core-2.8.11.jar, file:/usr/share/elasticsearch/lib/HdrHistogram-2.1.9.jar, file:/usr/share/elasticsearch/lib/lucene-grouping-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial3d-7.7.2.jar, file:/usr/share/elasticsearch/lib/plugin-classloader-6.8.4.jar, file:/usr/share/elasticsearch/lib/jts-core-1.15.0.jar, file:/usr/share/elasticsearch/lib/elasticsearch-x-content-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-cbor-2.8.11.jar, file:/usr/share/elasticsearch/lib/log4j-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/log4j-1.2-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/lucene-backward-codecs-7.7.2.jar, file:/usr/share/elasticsearch/lib/jopt-simple-5.0.2.jar, file:/usr/share/elasticsearch/lib/spatial4j-0.7.jar, file:/usr/share/elasticsearch/lib/elasticsearch-cli-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-extras-7.7.2.jar, file:/usr/share/elasticsearch/lib/java-version-checker-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-core-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-queryparser-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-queries-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-sandbox-7.7.2.jar, file:/usr/share/elasticsearch/lib/hppc-0.7.1.jar, file:/usr/share/elasticsearch/lib/t-digest-3.2.jar, file:/usr/share/elasticsearch/lib/lucene-highlighter-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-memory-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-misc-7.7.2.jar, file:/usr/share/elasticsearch/lib/jna-4.5.1.jar, file:/usr/share/elasticsearch/lib/lucene-core-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-suggest-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-analyzers-common-7.7.2.jar, file:/usr/share/elasticsearch/lib/joda-time-2.10.1.jar, file:/usr/share/elasticsearch/lib/log4j-core-2.11.1.jar, file:/usr/share/elasticsearch/lib/elasticsearch-secure-sm-6.8.4.jar, file:/usr/share/elasticsearch/lib/snakeyaml-1.17.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-yaml-2.8.11.jar, file:/usr/share/elasticsearch/lib/lucene-join-7.7.2.jar])
at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:962) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:922) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.(Native.java:190) ~[jna-4.5.1.jar:4.5.1 (b0)]
at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
at java.lang.Class.forName(Class.java:264) ~[?:1.8.0_222]
at org.elasticsearch.bootstrap.Natives.(Natives.java:45) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.initializeNatives(Bootstrap.java:102) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T13:19:54,503][WARN ][o.e.b.Natives ] [unknown] cannot check if running as root because JNA is not available
[2019-11-27T13:19:54,503][WARN ][o.e.b.Natives ] [unknown] cannot install system call filter because JNA is not available
[2019-11-27T13:19:54,507][WARN ][o.e.b.Natives ] [unknown] cannot register console handler because JNA is not available
[2019-11-27T13:19:54,516][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_NPROC because JNA is not available
[2019-11-27T13:19:54,517][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_AS because JNA is not available
[2019-11-27T13:19:54,517][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_FSIZE because JNA is not available
[2019-11-27T13:19:55,277][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_space [14.8gb], net total_space [19gb], types [ext4]
[2019-11-27T13:19:55,280][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] heap size [1017.6mb], compressed ordinary object pointers [unknown]
[2019-11-27T13:19:55,289][INFO ][o.e.n.Node ] [08YlbGq] node name derived from node ID [08YlbGqTTl-LSdngi7W0yg]; set [node.name] to override
[2019-11-27T13:19:55,290][INFO ][o.e.n.Node ] [08YlbGq] version[6.8.4], pid[359], build[oss/deb/bca0c8d/2019-10-16T06:19:49.319352Z], OS[Linux/4.9.0-11-686-pae/i386], JVM[Oracle Corporation/OpenJDK Server VM/1.8.0_222/25.222-b10]
[2019-11-27T13:19:55,290][INFO ][o.e.n.Node ] [08YlbGq] JVM arguments [-Xms1g, -Xmx1g, -XX:+UseConcMarkSweepGC, -XX:CMSInitiatingOccupancyFraction=75, -XX:+UseCMSInitiatingOccupancyOnly, -Des.networkaddress.cache.ttl=60, -Des.networkaddress.cache.negative.ttl=10, -XX:+AlwaysPreTouch, -Xss1m, -Djava.awt.headless=true, -Dfile.encoding=UTF-8, -Djna.nosys=true, -XX:-OmitStackTraceInFastThrow, -Dio.netty.noUnsafe=true, -Dio.netty.noKeySetOptimization=true, -Dio.netty.recycler.maxCapacityPerThread=0, -Dlog4j.shutdownHookEnabled=false, -Dlog4j2.disable.jmx=true, -Djava.io.tmpdir=/tmp/elasticsearch-9203137590525398243, -XX:+HeapDumpOnOutOfMemoryError, -XX:HeapDumpPath=/var/lib/elasticsearch, -XX:ErrorFile=/var/log/elasticsearch/hs_err_pid%p.log, -XX:+PrintGCDetails, -XX:+PrintGCDateStamps, -XX:+PrintTenuringDistribution, -XX:+PrintGCApplicationStoppedTime, -Xloggc:/var/log/elasticsearch/gc.log, -XX:+UseGCLogFileRotation, -XX:NumberOfGCLogFiles=32, -XX:GCLogFileSize=64m, -Des.path.home=/usr/share/elasticsearch, -Des.path.conf=/etc/elasticsearch, -Des.distribution.flavor=oss, -Des.distribution.type=deb]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [aggs-matrix-stats]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [analysis-common]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-common]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-geoip]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-user-agent]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-expression]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-mustache]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-painless]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [mapper-extras]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [parent-join]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [percolator]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [rank-eval]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [reindex]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [repository-url]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [transport-netty4]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [tribe]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] no plugins loaded
[2019-11-27T13:20:14,984][ERROR][o.e.b.Bootstrap ] [08YlbGq] Exception
java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.indexed] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T13:20:15,015][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [08YlbGq] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:163) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Caused by: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
… 6 more
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.indexed] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]

Thank you !

Seeing quite a few of those. I’d check your elasticsearch configuration file and make sure all is correct there.

Here is my elasticsearch.yml :

======================== Elasticsearch Configuration =========================

NOTE: Elasticsearch comes with reasonable defaults for most settings.

Before you set out to tweak and tune the configuration, make sure you

understand what are you trying to accomplish and the consequences.

The primary way of configuring a node is via this file. This template lists

the most important settings you may want to configure for a production cluster.

---------------------------------- Cluster -----------------------------------

Use a descriptive name for your cluster:

cluster.name: graylog

------------------------------------ Node ------------------------------------

Use a descriptive name for the node:

#node.name: node-1

Add custom attributes to the node:

#node.attr.rack: r1

----------------------------------- Paths ------------------------------------

Path to directory where to store the data (separate multiple locations by comma):

path.data: /var/lib/elasticsearch

Path to log files:

path.logs: /var/log/elasticsearch

----------------------------------- Memory -----------------------------------

Lock the memory on startup:

#bootstrap.memory_lock: true

Make sure that the heap size is set to about half the memory available

on the system and that the owner of the process is allowed to use this

limit.

Elasticsearch performs poorly when the system is swapping the memory.

---------------------------------- Network -----------------------------------

Set the bind address to a specific IP (IPv4 or IPv6):

network.host: 0.0.0.0

Set a custom port for HTTP:

#http.port: 9200

For more information, consult the network module documentation.

--------------------------------- Discovery ----------------------------------

Pass an initial list of hosts to perform discovery when new node is started:

The default list of hosts is [“127.0.0.1”, “[::1]”]

#discovery.zen.ping.unicast.hosts: [“host1”, “host2”]

Prevent the “split brain” by configuring the majority of nodes (total number of master-eligible nodes / 2 + 1):

#discovery.zen.minimum_master_nodes:

For more information, consult the zen discovery module documentation.

---------------------------------- Gateway -----------------------------------

Block initial recovery after a full cluster restart until N nodes are started:

#gateway.recover_after_nodes: 3

For more information, consult the gateway module documentation.

---------------------------------- Various -----------------------------------

Require explicit names when deleting indices:

#action.destructive_requires_name: true

action.auto_create_index: false

script.inline: false
script.indexed: false
script.file: false




I added the last lines (script (…)) because I saw it on another forum… :thinking:
If i delete the 3 lines, elasticsearch still doesn’t work :

root@debian:~# service elasticsearch status
â elasticsearch.service - Elasticsearch
Loaded: loaded (/usr/lib/systemd/system/elasticsearch.service; enabled; vendor preset: en
Active: failed (Result: exit-code) since Wed 2019-11-27 14:44:11 CET; 1min 57s ago
Process: 390 ExecStart=/usr/share/elasticsearch/bin/elasticsearch -p ${PID_DIR}/elasticsea
Main PID: 390 (code=exited, status=78)
nov. 27 14:43:19 debian systemd[1]: Started Elasticsearch.
nov. 27 14:44:11 debian systemd[1]: elasticsearch.service: Main process exited, code=exited,
nov. 27 14:44:11 debian systemd[1]: elasticsearch.service: Unit entered failed state.
nov. 27 14:44:11 debian systemd[1]: elasticsearch.service: Failed with result ‘exit-code’.

And now, my graylog.log is like this :

[2019-11-27T13:19:54,475][WARN ][o.e.b.Natives ] [unknown] unable to load JNA native support library, native methods will be disabled.
java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86/libjnidispatch.so) not found in resource path ([file:/usr/share/elasticsearch/lib/elasticsearch-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-launchers-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-smile-2.8.11.jar, file:/usr/share/elasticsearch/lib/jackson-core-2.8.11.jar, file:/usr/share/elasticsearch/lib/HdrHistogram-2.1.9.jar, file:/usr/share/elasticsearch/lib/lucene-grouping-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial3d-7.7.2.jar, file:/usr/share/elasticsearch/lib/plugin-classloader-6.8.4.jar, file:/usr/share/elasticsearch/lib/jts-core-1.15.0.jar, file:/usr/share/elasticsearch/lib/elasticsearch-x-content-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-cbor-2.8.11.jar, file:/usr/share/elasticsearch/lib/log4j-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/log4j-1.2-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/lucene-backward-codecs-7.7.2.jar, file:/usr/share/elasticsearch/lib/jopt-simple-5.0.2.jar, file:/usr/share/elasticsearch/lib/spatial4j-0.7.jar, file:/usr/share/elasticsearch/lib/elasticsearch-cli-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-extras-7.7.2.jar, file:/usr/share/elasticsearch/lib/java-version-checker-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-core-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-queryparser-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-queries-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-sandbox-7.7.2.jar, file:/usr/share/elasticsearch/lib/hppc-0.7.1.jar, file:/usr/share/elasticsearch/lib/t-digest-3.2.jar, file:/usr/share/elasticsearch/lib/lucene-highlighter-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-memory-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-misc-7.7.2.jar, file:/usr/share/elasticsearch/lib/jna-4.5.1.jar, file:/usr/share/elasticsearch/lib/lucene-core-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-suggest-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-analyzers-common-7.7.2.jar, file:/usr/share/elasticsearch/lib/joda-time-2.10.1.jar, file:/usr/share/elasticsearch/lib/log4j-core-2.11.1.jar, file:/usr/share/elasticsearch/lib/elasticsearch-secure-sm-6.8.4.jar, file:/usr/share/elasticsearch/lib/snakeyaml-1.17.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-yaml-2.8.11.jar, file:/usr/share/elasticsearch/lib/lucene-join-7.7.2.jar])
at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:962) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:922) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.(Native.java:190) ~[jna-4.5.1.jar:4.5.1 (b0)]
at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
at java.lang.Class.forName(Class.java:264) ~[?:1.8.0_222]
at org.elasticsearch.bootstrap.Natives.(Natives.java:45) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.initializeNatives(Bootstrap.java:102) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T13:19:54,503][WARN ][o.e.b.Natives ] [unknown] cannot check if running as root because JNA is not available
[2019-11-27T13:19:54,503][WARN ][o.e.b.Natives ] [unknown] cannot install system call filter because JNA is not available
[2019-11-27T13:19:54,507][WARN ][o.e.b.Natives ] [unknown] cannot register console handler because JNA is not available
[2019-11-27T13:19:54,516][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_NPROC because JNA is not available
[2019-11-27T13:19:54,517][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_AS because JNA is not available
[2019-11-27T13:19:54,517][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_FSIZE because JNA is not available
[2019-11-27T13:19:55,277][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_space [14.8gb], net total_space [19gb], types [ext4]
[2019-11-27T13:19:55,280][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] heap size [1017.6mb], compressed ordinary object pointers [unknown]
[2019-11-27T13:19:55,289][INFO ][o.e.n.Node ] [08YlbGq] node name derived from node ID [08YlbGqTTl-LSdngi7W0yg]; set [node.name] to override
[2019-11-27T13:19:55,290][INFO ][o.e.n.Node ] [08YlbGq] version[6.8.4], pid[359], build[oss/deb/bca0c8d/2019-10-16T06:19:49.319352Z], OS[Linux/4.9.0-11-686-pae/i386], JVM[Oracle Corporation/OpenJDK Server VM/1.8.0_222/25.222-b10]
[2019-11-27T13:19:55,290][INFO ][o.e.n.Node ] [08YlbGq] JVM arguments [-Xms1g, -Xmx1g, -XX:+UseConcMarkSweepGC, -XX:CMSInitiatingOccupancyFraction=75, -XX:+UseCMSInitiatingOccupancyOnly, -Des.networkaddress.cache.ttl=60, -Des.networkaddress.cache.negative.ttl=10, -XX:+AlwaysPreTouch, -Xss1m, -Djava.awt.headless=true, -Dfile.encoding=UTF-8, -Djna.nosys=true, -XX:-OmitStackTraceInFastThrow, -Dio.netty.noUnsafe=true, -Dio.netty.noKeySetOptimization=true, -Dio.netty.recycler.maxCapacityPerThread=0, -Dlog4j.shutdownHookEnabled=false, -Dlog4j2.disable.jmx=true, -Djava.io.tmpdir=/tmp/elasticsearch-9203137590525398243, -XX:+HeapDumpOnOutOfMemoryError, -XX:HeapDumpPath=/var/lib/elasticsearch, -XX:ErrorFile=/var/log/elasticsearch/hs_err_pid%p.log, -XX:+PrintGCDetails, -XX:+PrintGCDateStamps, -XX:+PrintTenuringDistribution, -XX:+PrintGCApplicationStoppedTime, -Xloggc:/var/log/elasticsearch/gc.log, -XX:+UseGCLogFileRotation, -XX:NumberOfGCLogFiles=32, -XX:GCLogFileSize=64m, -Des.path.home=/usr/share/elasticsearch, -Des.path.conf=/etc/elasticsearch, -Des.distribution.flavor=oss, -Des.distribution.type=deb]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [aggs-matrix-stats]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [analysis-common]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-common]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-geoip]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-user-agent]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-expression]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-mustache]
[2019-11-27T13:19:59,695][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-painless]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [mapper-extras]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [parent-join]
[2019-11-27T13:19:59,712][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [percolator]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [rank-eval]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [reindex]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [repository-url]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [transport-netty4]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [tribe]
[2019-11-27T13:19:59,713][INFO ][o.e.p.PluginsService ] [08YlbGq] no plugins loaded
[2019-11-27T13:20:14,984][ERROR][o.e.b.Bootstrap ] [08YlbGq] Exception
java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.indexed] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T13:20:15,015][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [08YlbGq] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:163) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Caused by: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
… 6 more
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.indexed] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:39:09,129][WARN ][o.e.b.Natives ] [unknown] unable to load JNA native support library, native methods will be disabled.
java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86/libjnidispatch.so) not found in resource path ([file:/usr/share/elasticsearch/lib/elasticsearch-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-launchers-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-smile-2.8.11.jar, file:/usr/share/elasticsearch/lib/jackson-core-2.8.11.jar, file:/usr/share/elasticsearch/lib/HdrHistogram-2.1.9.jar, file:/usr/share/elasticsearch/lib/lucene-grouping-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial3d-7.7.2.jar, file:/usr/share/elasticsearch/lib/plugin-classloader-6.8.4.jar, file:/usr/share/elasticsearch/lib/jts-core-1.15.0.jar, file:/usr/share/elasticsearch/lib/elasticsearch-x-content-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-cbor-2.8.11.jar, file:/usr/share/elasticsearch/lib/log4j-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/log4j-1.2-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/lucene-backward-codecs-7.7.2.jar, file:/usr/share/elasticsearch/lib/jopt-simple-5.0.2.jar, file:/usr/share/elasticsearch/lib/spatial4j-0.7.jar, file:/usr/share/elasticsearch/lib/elasticsearch-cli-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-extras-7.7.2.jar, file:/usr/share/elasticsearch/lib/java-version-checker-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-core-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-queryparser-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-queries-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-sandbox-7.7.2.jar, file:/usr/share/elasticsearch/lib/hppc-0.7.1.jar, file:/usr/share/elasticsearch/lib/t-digest-3.2.jar, file:/usr/share/elasticsearch/lib/lucene-highlighter-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-memory-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-misc-7.7.2.jar, file:/usr/share/elasticsearch/lib/jna-4.5.1.jar, file:/usr/share/elasticsearch/lib/lucene-core-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-suggest-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-analyzers-common-7.7.2.jar, file:/usr/share/elasticsearch/lib/joda-time-2.10.1.jar, file:/usr/share/elasticsearch/lib/log4j-core-2.11.1.jar, file:/usr/share/elasticsearch/lib/elasticsearch-secure-sm-6.8.4.jar, file:/usr/share/elasticsearch/lib/snakeyaml-1.17.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-yaml-2.8.11.jar, file:/usr/share/elasticsearch/lib/lucene-join-7.7.2.jar])
at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:962) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:922) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.(Native.java:190) ~[jna-4.5.1.jar:4.5.1 (b0)]
at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
at java.lang.Class.forName(Class.java:264) ~[?:1.8.0_222]
at org.elasticsearch.bootstrap.Natives.(Natives.java:45) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.initializeNatives(Bootstrap.java:102) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:39:09,167][WARN ][o.e.b.Natives ] [unknown] cannot check if running as root because JNA is not available
[2019-11-27T14:39:09,167][WARN ][o.e.b.Natives ] [unknown] cannot install system call filter because JNA is not available
[2019-11-27T14:39:09,168][WARN ][o.e.b.Natives ] [unknown] cannot register console handler because JNA is not available
[2019-11-27T14:39:09,182][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_NPROC because JNA is not available
[2019-11-27T14:39:09,182][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_AS because JNA is not available
[2019-11-27T14:39:09,182][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_FSIZE because JNA is not available
[2019-11-27T14:39:10,194][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_space [14.8gb], net total_space [19gb], types [ext4]
[2019-11-27T14:39:10,194][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] heap size [1017.6mb], compressed ordinary object pointers [unknown]
[2019-11-27T14:39:10,195][INFO ][o.e.n.Node ] [08YlbGq] node name derived from node ID

at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:39:28,879][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [08YlbGq] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:163) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Caused by: java.lang.IllegalArgumentException: unknown setting [script.file] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
… 6 more
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.indexed] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
Suppressed: java.lang.IllegalArgumentException: unknown setting [script.inline] please check that any required plugins are installed, or check the breaking changes documentation for removed settings
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:530) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:475) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:446) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.AbstractScopedSettings.validate(AbstractScopedSettings.java:417) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.common.settings.SettingsModule.(SettingsModule.java:148) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:374) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.node.Node.(Node.java:266) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) ~[elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:43:37,989][WARN ][o.e.b.Natives ] [unknown] unable to load JNA native support library, native methods will be disabled.
java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86/libjnidispatch.so) not found in resource path ([file:/usr/share/elasticsearch/lib/elasticsearch-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-launchers-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-smile-2.8.11.jar, file:/usr/share/elasticsearch/lib/jackson-core-2.8.11.jar, file:/usr/share/elasticsearch/lib/HdrHistogram-2.1.9.jar, file:/usr/share/elasticsearch/lib/lucene-grouping-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial3d-7.7.2.jar, file:/usr/share/elasticsearch/lib/plugin-classloader-6.8.4.jar, file:/usr/share/elasticsearch/lib/jts-core-1.15.0.jar, file:/usr/share/elasticsearch/lib/elasticsearch-x-content-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-cbor-2.8.11.jar, file:/usr/share/elasticsearch/lib/log4j-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/log4j-1.2-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/lucene-backward-codecs-7.7.2.jar, file:/usr/share/elasticsearch/lib/jopt-simple-5.0.2.jar, file:/usr/share/elasticsearch/lib/spatial4j-0.7.jar, file:/usr/share/elasticsearch/lib/elasticsearch-cli-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-extras-7.7.2.jar, file:/usr/share/elasticsearch/lib/java-version-checker-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-core-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-queryparser-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-queries-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-sandbox-7.7.2.jar, file:/usr/share/elasticsearch/lib/hppc-0.7.1.jar, file:/usr/share/elasticsearch/lib/t-digest-3.2.jar, file:/usr/share/elasticsearch/lib/lucene-highlighter-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-memory-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-misc-7.7.2.jar, file:/usr/share/elasticsearch/lib/jna-4.5.1.jar, file:/usr/share/elasticsearch/lib/lucene-core-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-suggest-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-analyzers-common-7.7.2.jar, file:/usr/share/elasticsearch/lib/joda-time-2.10.1.jar, file:/usr/share/elasticsearch/lib/log4j-core-2.11.1.jar, file:/usr/share/elasticsearch/lib/elasticsearch-secure-sm-6.8.4.jar, file:/usr/share/elasticsearch/lib/snakeyaml-1.17.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-yaml-2.8.11.jar, file:/usr/share/elasticsearch/lib/lucene-join-7.7.2.jar])
at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:962) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:922) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.(Native.java:190) ~[jna-4.5.1.jar:4.5.1 (b0)]
at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
at java.lang.Class.forName(Class.java:264) ~[?:1.8.0_222]
at org.elasticsearch.bootstrap.Natives.(Natives.java:45) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.initializeNatives(Bootstrap.java:102) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:43:38,042][WARN ][o.e.b.Natives ] [unknown] cannot check if running as root because JNA is not available
[2019-11-27T14:43:38,122][WARN ][o.e.b.Natives ] [unknown] cannot install system call filter because JNA is not available
[2019-11-27T14:43:38,123][WARN ][o.e.b.Natives ] [unknown] cannot register console handler because JNA is not available
[2019-11-27T14:43:38,140][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_NPROC because JNA is not available
[2019-11-27T14:43:38,140][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_AS because JNA is not available
[2019-11-27T14:43:38,140][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_FSIZE because JNA is not available
[2019-11-27T14:43:39,024][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_space [14.8gb], net total_space [19gb], types [ext4]
[2019-11-27T14:43:39,024][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] heap size [1017.6mb], compressed ordinary object pointers [unknown]
[2019-11-27T14:43:39,027][INFO ][o.e.n.Node ] [08YlbGq] node name derived from node ID [08YlbGqTTl-LSdngi7W0yg]; set [node.name] to override
[2019-11-27T14:43:39,027][INFO ][o.e.n.Node ] [08YlbGq] version[6.8.4], pid[390], build[oss/deb/bca0c8d/2019-10-16T06:19:49.319352Z], OS[Linux/4.9.0-11-686-pae/i386], JVM[Oracle Corporation/OpenJDK Server VM/1.8.0_222/25.222-b10]
[2019-11-27T14:43:39,027][INFO ][o.e.n.Node ] [08YlbGq] JVM arguments [-Xms1g, -Xmx1g, -XX:+UseConcMarkSweepGC, -XX:CMSInitiatingOccupancyFraction=75, -XX:+UseCMSInitiatingOccupancyOnly, -Des.networkaddress.cache.ttl=60, -Des.networkaddress.cache.negative.ttl=10, -XX:+AlwaysPreTouch, -Xss1m, -Djava.awt.headless=true, -Dfile.encoding=UTF-8, -Djna.nosys=true, -XX:-OmitStackTraceInFastThrow, -Dio.netty.noUnsafe=true, -Dio.netty.noKeySetOptimization=true, -Dio.netty.recycler.maxCapacityPerThread=0, -Dlog4j.shutdownHookEnabled=false, -Dlog4j2.disable.jmx=true, -Djava.io.tmpdir=/tmp/elasticsearch-8853511499179892800, -XX:+HeapDumpOnOutOfMemoryError, -XX:HeapDumpPath=/var/lib/elasticsearch, -XX:ErrorFile=/var/log/elasticsearch/hs_err_pid%p.log, -XX:+PrintGCDetails, -XX:+PrintGCDateStamps, -XX:+PrintTenuringDistribution, -XX:+PrintGCApplicationStoppedTime, -Xloggc:/var/log/elasticsearch/gc.log, -XX:+UseGCLogFileRotation, -XX:NumberOfGCLogFiles=32, -XX:GCLogFileSize=64m, -Des.path.home=/usr/share/elasticsearch, -Des.path.conf=/etc/elasticsearch, -Des.distribution.flavor=oss, -Des.distribution.type=deb]
[2019-11-27T14:43:44,037][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [aggs-matrix-stats]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [analysis-common]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-common]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-geoip]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-user-agent]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-expression]
[2019-11-27T14:43:44,039][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-mustache]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-painless]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [mapper-extras]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [parent-join]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [percolator]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [rank-eval]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [reindex]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [repository-url]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [transport-netty4]
[2019-11-27T14:43:44,041][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [tribe]
[2019-11-27T14:43:44,042][INFO ][o.e.p.PluginsService ] [08YlbGq] no plugins loaded
[2019-11-27T14:44:04,838][INFO ][o.e.d.DiscoveryModule ] [08YlbGq] using discovery type [zen] and host providers [settings]
[2019-11-27T14:44:09,426][INFO ][o.e.n.Node ] [08YlbGq] initialized
[2019-11-27T14:44:09,426][INFO ][o.e.n.Node ] [08YlbGq] starting …
[2019-11-27T14:44:10,780][INFO ][o.e.t.TransportService ] [08YlbGq] publish_address {10.81.4.167:9300}, bound_addresses {[::]:9300}
[2019-11-27T14:44:10,827][INFO ][o.e.b.BootstrapChecks ] [08YlbGq] bound or publishing to a non-loopback address, enforcing bootstrap checks
[2019-11-27T14:44:10,849][ERROR][o.e.b.Bootstrap ] [08YlbGq] node validation exception
[1] bootstrap checks failed
[1]: system call filters failed to install; check the logs and fix your configuration or disable system call filters at your own risk
[2019-11-27T14:44:10,860][INFO ][o.e.n.Node ] [08YlbGq] stopping …
[2019-11-27T14:44:10,914][INFO ][o.e.n.Node ] [08YlbGq] stopped
[2019-11-27T14:44:10,915][INFO ][o.e.n.Node ] [08YlbGq] closing …
[2019-11-27T14:44:11,004][INFO ][o.e.n.Node ] [08YlbGq] closed
[2019-11-27T14:47:48,271][WARN ][o.e.b.Natives ] [unknown] unable to load JNA native support library, native methods will be disabled.
java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86/libjnidispatch.so) not found in resource path ([file:/usr/share/elasticsearch/lib/elasticsearch-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-launchers-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-smile-2.8.11.jar, file:/usr/share/elasticsearch/lib/jackson-core-2.8.11.jar, file:/usr/share/elasticsearch/lib/HdrHistogram-2.1.9.jar, file:/usr/share/elasticsearch/lib/lucene-grouping-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial3d-7.7.2.jar, file:/usr/share/elasticsearch/lib/plugin-classloader-6.8.4.jar, file:/usr/share/elasticsearch/lib/jts-core-1.15.0.jar, file:/usr/share/elasticsearch/lib/elasticsearch-x-content-6.8.4.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-cbor-2.8.11.jar, file:/usr/share/elasticsearch/lib/log4j-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/log4j-1.2-api-2.11.1.jar, file:/usr/share/elasticsearch/lib/lucene-backward-codecs-7.7.2.jar, file:/usr/share/elasticsearch/lib/jopt-simple-5.0.2.jar, file:/usr/share/elasticsearch/lib/spatial4j-0.7.jar, file:/usr/share/elasticsearch/lib/elasticsearch-cli-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-extras-7.7.2.jar, file:/usr/share/elasticsearch/lib/java-version-checker-6.8.4.jar, file:/usr/share/elasticsearch/lib/elasticsearch-core-6.8.4.jar, file:/usr/share/elasticsearch/lib/lucene-queryparser-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-queries-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-sandbox-7.7.2.jar, file:/usr/share/elasticsearch/lib/hppc-0.7.1.jar, file:/usr/share/elasticsearch/lib/t-digest-3.2.jar, file:/usr/share/elasticsearch/lib/lucene-highlighter-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-spatial-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-memory-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-misc-7.7.2.jar, file:/usr/share/elasticsearch/lib/jna-4.5.1.jar, file:/usr/share/elasticsearch/lib/lucene-core-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-suggest-7.7.2.jar, file:/usr/share/elasticsearch/lib/lucene-analyzers-common-7.7.2.jar, file:/usr/share/elasticsearch/lib/joda-time-2.10.1.jar, file:/usr/share/elasticsearch/lib/log4j-core-2.11.1.jar, file:/usr/share/elasticsearch/lib/elasticsearch-secure-sm-6.8.4.jar, file:/usr/share/elasticsearch/lib/snakeyaml-1.17.jar, file:/usr/share/elasticsearch/lib/jackson-dataformat-yaml-2.8.11.jar, file:/usr/share/elasticsearch/lib/lucene-join-7.7.2.jar])
at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:962) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:922) ~[jna-4.5.1.jar:4.5.1 (b0)]
at com.sun.jna.Native.(Native.java:190) ~[jna-4.5.1.jar:4.5.1 (b0)]
at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
at java.lang.Class.forName(Class.java:264) ~[?:1.8.0_222]
at org.elasticsearch.bootstrap.Natives.(Natives.java:45) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.initializeNatives(Bootstrap.java:102) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:170) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:159) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:150) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.cli.Command.main(Command.java:90) [elasticsearch-cli-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:116) [elasticsearch-6.8.4.jar:6.8.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) [elasticsearch-6.8.4.jar:6.8.4]
[2019-11-27T14:47:48,301][WARN ][o.e.b.Natives ] [unknown] cannot check if running as root because JNA is not available
[2019-11-27T14:47:48,301][WARN ][o.e.b.Natives ] [unknown] cannot install system call filter because JNA is not available
[2019-11-27T14:47:48,302][WARN ][o.e.b.Natives ] [unknown] cannot register console handler because JNA is not available
[2019-11-27T14:47:48,312][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_NPROC because JNA is not available
[2019-11-27T14:47:48,313][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_AS because JNA is not available
[2019-11-27T14:47:48,313][WARN ][o.e.b.Natives ] [unknown] cannot getrlimit RLIMIT_FSIZE because JNA is not available
[2019-11-27T14:47:49,297][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_space [14.8gb], net total_space [19gb], types [ext4]
[2019-11-27T14:47:49,298][INFO ][o.e.e.NodeEnvironment ] [08YlbGq] heap size [1017.6mb], compressed ordinary object pointers [unknown]
[2019-11-27T14:47:49,330][INFO ][o.e.n.Node ] [08YlbGq] node name derived from node ID [08YlbGqTTl-LSdngi7W0yg]; set [node.name] to override
[2019-11-27T14:47:49,330][INFO ][o.e.n.Node ] [08YlbGq] version[6.8.4], pid[341], build[oss/deb/bca0c8d/2019-10-16T06:19:49.319352Z], OS[Linux/4.9.0-11-686-pae/i386], JVM[Oracle Corporation/OpenJDK Server VM/1.8.0_222/25.222-b10]
[2019-11-27T14:47:49,330][INFO ][o.e.n.Node ] [08YlbGq] JVM arguments [-Xms1g, -Xmx1g, -XX:+UseConcMarkSweepGC, -XX:CMSInitiatingOccupancyFraction=75, -XX:+UseCMSInitiatingOccupancyOnly, -Des.networkaddress.cache.ttl=60, -Des.networkaddress.cache.negative.ttl=10, -XX:+AlwaysPreTouch, -Xss1m, -Djava.awt.headless=true, -Dfile.encoding=UTF-8, -Djna.nosys=true, -XX:-OmitStackTraceInFastThrow, -Dio.netty.noUnsafe=true, -Dio.netty.noKeySetOptimization=true, -Dio.netty.recycler.maxCapacityPerThread=0, -Dlog4j.shutdownHookEnabled=false, -Dlog4j2.disable.jmx=true, -Djava.io.tmpdir=/tmp/elasticsearch-2937139301986768943, -XX:+HeapDumpOnOutOfMemoryError, -XX:HeapDumpPath=/var/lib/elasticsearch, -XX:ErrorFile=/var/log/elasticsearch/hs_err_pid%p.log, -XX:+PrintGCDetails, -XX:+PrintGCDateStamps, -XX:+PrintTenuringDistribution, -XX:+PrintGCApplicationStoppedTime, -Xloggc:/var/log/elasticsearch/gc.log, -XX:+UseGCLogFileRotation, -XX:NumberOfGCLogFiles=32, -XX:GCLogFileSize=64m, -Des.path.home=/usr/share/elasticsearch, -Des.path.conf=/etc/elasticsearch, -Des.distribution.flavor=oss, -Des.distribution.type=deb]
[2019-11-27T14:47:55,193][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [aggs-matrix-stats]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [analysis-common]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-common]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-geoip]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [ingest-user-agent]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-expression]
[2019-11-27T14:47:55,194][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-mustache]
[2019-11-27T14:47:55,202][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [lang-painless]
[2019-11-27T14:47:55,202][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [mapper-extras]
[2019-11-27T14:47:55,202][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [parent-join]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [percolator]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [rank-eval]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [reindex]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [repository-url]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [transport-netty4]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] loaded module [tribe]
[2019-11-27T14:47:55,203][INFO ][o.e.p.PluginsService ] [08YlbGq] no plugins loaded
[2019-11-27T14:48:24,806][INFO ][o.e.d.DiscoveryModule ] [08YlbGq] using discovery type [zen] and host providers [settings]
[2019-11-27T14:48:28,838][INFO ][o.e.n.Node ] [08YlbGq] initialized
[2019-11-27T14:48:28,844][INFO ][o.e.n.Node ] [08YlbGq] starting …
[2019-11-27T14:48:30,262][INFO ][o.e.t.TransportService ] [08YlbGq] publish_address {10.81.4.167:9300}, bound_addresses {[::]:9300}
[2019-11-27T14:48:30,349][INFO ][o.e.b.BootstrapChecks ] [08YlbGq] bound or publishing to a non-loopback address, enforcing bootstrap checks
[2019-11-27T14:48:30,379][ERROR][o.e.b.Bootstrap ] [08YlbGq] node validation exception
[1] bootstrap checks failed
[1]: system call filters failed to install; check the logs and fix your configuration or disable system call filters at your own risk
[2019-11-27T14:48:30,416][INFO ][o.e.n.Node ] [08YlbGq] stopping …
[2019-11-27T14:48:30,531][INFO ][o.e.n.Node ] [08YlbGq] stopped
[2019-11-27T14:48:30,531][INFO ][o.e.n.Node ] [08YlbGq] closing …
[2019-11-27T14:48:30,584][INFO ][o.e.n.Node ] [08YlbGq] closed

I had to delete a few lines that looked useless, to many characters.
I have seen a line saying that Java couldn’t run as root, maybe it comes from there ? :confused:

Hi Theo,

In first post I see you set JAVA variable java-1.8.0-openjdk-i386. That is 32bit version right?

If it is then maybe something from Elasticsearch forum helps you.

Cheers!

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.